Caches - List
傳回使用者在訂用帳戶下有權存取的所有快取。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.StorageCache/caches?api-version=2026-01-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
目標訂用帳戶的標識碼。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
快取物件的清單。 請注意,實體參照可能會取代完整的快取物件,如 http://docs.oasis-open.org/odata/odata-json-format/v4.01/cs01/odata-json-format-v4.01-cs01.html#sec_EntityReference |
|
| Other Status Codes |
說明作業為何失敗的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Caches_List
範例要求
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.StorageCache/caches?api-version=2026-01-01
範例回覆
{
"value": [
{
"tags": {
"Dept": "Contoso"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.StorageCache/caches/sc1",
"location": "westus",
"name": "sc1",
"type": "Microsoft.StorageCache/Cache",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"properties": {
"cacheSizeGB": 3072,
"health": {
"state": "Transitioning",
"statusDescription": "Cache is being created.",
"conditions": [
{
"timestamp": "2021-04-21T18:25:43.511Z",
"message": "Cannot contact DNS server"
}
]
},
"mountAddresses": [
"192.168.1.1",
"192.168.1.2"
],
"provisioningState": "Succeeded",
"subnet": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.Network/virtualNetworks/scvnet/subnets/sub1",
"upgradeStatus": {
"currentFirmwareVersion": "2022.08.1",
"firmwareUpdateStatus": "available",
"firmwareUpdateDeadline": "2019-04-21T18:25:43.511Z",
"lastFirmwareUpdate": "2019-01-21T18:25:43.511Z",
"pendingFirmwareVersion": "2022.08.1"
},
"networkSettings": {
"mtu": 1500,
"dnsServers": [
"10.1.22.33",
"10.1.12.33"
],
"dnsSearchDomain": "contoso.com",
"ntpServer": "time.contoso.com"
},
"securitySettings": {
"accessPolicies": [
{
"name": "default",
"accessRules": [
{
"scope": "default",
"access": "rw",
"suid": false,
"submountAccess": true,
"rootSquash": false
}
]
}
]
},
"upgradeSettings": {
"upgradeScheduleEnabled": true,
"scheduledTime": "2022-04-26T18:25:43.511Z"
},
"encryptionSettings": {
"keyEncryptionKey": {
"keyUrl": "https://keyvault-cmk.vault.azure.net/keys/key2048/test",
"sourceVault": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.KeyVault/vaults/keyvault-cmk"
}
}
},
"directoryServicesSettings": {
"activeDirectory": {
"primaryDnsIpAddress": "192.0.2.10",
"secondaryDnsIpAddress": "192.0.2.11",
"domainName": "contosoAd.contoso.local",
"domainNetBiosName": "contosoAd",
"cacheNetBiosName": "contosoSmb",
"domainJoined": "Yes"
},
"usernameDownload": {
"extendedGroups": true,
"usernameSource": "LDAP",
"groupFileURI": "http://contoso.net/group.file",
"userFileURI": "http://contoso.net/passwd.file",
"ldapServer": "192.0.2.12",
"ldapBaseDN": "dc=contosoad,dc=contoso,dc=local",
"encryptLdapConnection": false,
"requireValidCertificate": false,
"autoDownloadCertificate": false,
"caCertificateURI": "http://contoso.net/cacert.pem",
"usernameDownloaded": "Yes"
}
},
"primingJobs": [],
"spaceAllocation": [
{
"name": "st1",
"allocationPercentage": 25
},
{
"name": "st2",
"allocationPercentage": 50
},
{
"name": "st3",
"allocationPercentage": 25
}
]
},
"sku": {
"name": "Standard_2G"
}
},
{
"tags": {
"Dept": "Contoso"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.StorageCache/caches/sc2",
"location": "westus",
"name": "sc2",
"type": "Microsoft.StorageCache/Cache",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"properties": {
"cacheSizeGB": 3072,
"health": {
"state": "Transitioning",
"statusDescription": "Cache is being created.",
"conditions": [
{
"timestamp": "2021-04-21T18:25:43.511Z",
"message": "Cannot contact DNS server"
}
]
},
"mountAddresses": [
"192.168.1.1",
"192.168.1.2"
],
"provisioningState": "Updating",
"subnet": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.Network/virtualNetworks/scvnet/subnets/sub2",
"upgradeStatus": {
"currentFirmwareVersion": "2022.08.1",
"firmwareUpdateStatus": "available",
"firmwareUpdateDeadline": "2019-04-21T18:25:43.511Z",
"lastFirmwareUpdate": "2019-01-21T18:25:43.511Z",
"pendingFirmwareVersion": "2022.08.1"
},
"networkSettings": {
"mtu": 1500,
"dnsServers": [
"10.1.22.33",
"10.1.12.33"
],
"dnsSearchDomain": "contoso.com",
"ntpServer": "time.contoso.com"
},
"securitySettings": {
"accessPolicies": [
{
"name": "default",
"accessRules": [
{
"scope": "default",
"access": "rw",
"suid": false,
"submountAccess": true,
"rootSquash": false
}
]
}
]
},
"upgradeSettings": {
"upgradeScheduleEnabled": true,
"scheduledTime": "2022-04-26T18:25:43.511Z"
},
"encryptionSettings": {
"keyEncryptionKey": {
"keyUrl": "https://keyvault-cmk.vault.azure.net/keys/key2048/test",
"sourceVault": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.KeyVault/vaults/keyvault-cmk"
}
}
},
"directoryServicesSettings": {
"activeDirectory": {
"primaryDnsIpAddress": "192.0.2.10",
"secondaryDnsIpAddress": "192.0.2.11",
"domainName": "contosoAd.contoso.local",
"domainNetBiosName": "contosoAd",
"cacheNetBiosName": "contosoSmb",
"domainJoined": "Yes"
},
"usernameDownload": {
"extendedGroups": true,
"usernameSource": "AD",
"groupFileURI": "http://contoso.net/group.file",
"userFileURI": "http://contoso.net/passwd.file",
"ldapServer": "",
"ldapBaseDN": "",
"encryptLdapConnection": false,
"requireValidCertificate": false,
"autoDownloadCertificate": false,
"caCertificateURI": "http://contoso.net/cacert.pem",
"usernameDownloaded": "Yes"
}
},
"primingJobs": [
{
"primingJobName": "contosoJob1",
"primingJobId": "00000000000_0000000000",
"primingJobState": "Complete",
"primingJobStatus": "success",
"primingJobDetails": "Files: Cached=635, Failed=0, Excluded=80, Data=346030 bytes, Directories: Cached=1003, Failed=0, Excluded=0",
"primingJobPercentComplete": 100
},
{
"primingJobName": "contosoJob2",
"primingJobId": "11111111111_1111111111",
"primingJobState": "Queued",
"primingJobStatus": "",
"primingJobDetails": "",
"primingJobPercentComplete": 0
}
],
"spaceAllocation": [],
"zones": [
"1"
]
},
"sku": {
"name": "Standard_2G"
}
}
]
}
定義
| 名稱 | Description |
|---|---|
| Cache |
快取實例。 遵循 Azure Resource Manager 標準:https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/resource-api-reference.md |
|
Cache |
用來將快取加入網域的Active Directory 設定。 |
|
Cache |
快取目錄服務設定。 |
|
Cache |
快取加密設定。 |
|
Cache |
快取健康情況的指示。 提供健康情況的詳細資訊,不只是與布建相關的資訊。 |
|
Cache |
快取身分識別屬性。 |
|
Cache |
用於快取的身分識別類型 |
|
Cache |
快取網路設定。 |
|
Cache |
快取安全性設定。 |
|
Caches |
列出快取的要求結果。 其中包含快取清單和 URL 連結,以取得下一組結果。 |
|
Cache |
快取升級設定。 |
|
Cache |
描述快取軟體升級狀態的屬性。 |
|
Cache |
擴充群組用戶名稱和群組下載的設定。 |
|
Cloud |
錯誤回應。 |
|
Cloud |
錯誤回應。 |
| Condition |
需要解決的未完成條件。 |
|
created |
建立資源的身分識別類型。 |
| Credentials |
用來將 HPC Cache 加入網域的 Active Directory 系統管理員認證。 |
|
Domain |
如果 HPC 快取已加入 Active Directory 網域,則為 True。 |
|
Firmware |
如果有韌體更新準備好安裝在此快取上,則為 True。 如果未透過升級作業稍早觸發,韌體將在 firmwareUpdateDeadline 之後自動安裝。 |
|
Health |
快取健康情況狀態清單。 關閉是指叢集沒有回應。 降級是指它正常運行但有一些警報。 建立或刪除時進行轉換。 在未來的版本中新增新值時,會在舊的 API 版本中傳回未知。 WaitingForKey 是指建立者正在等待系統指派的身分識別在加密設定中獲得加密金鑰的存取權。 |
|
Key |
描述金鑰保存庫金鑰的參考。 |
|
Nfs |
一組規則,描述套用至快取NFSv3 用戶端的存取原則。 |
|
Nfs |
規則,將限制呈現給用戶端的快取命名空間部分。 |
|
Nfs |
此規則允許的存取權。 |
|
Nfs |
此規則的範圍。 範圍和篩選會決定哪些用戶端符合規則。 |
|
Priming |
預備作業實例。 |
|
Priming |
啟動作業的狀態。 |
|
Provisioning |
ARM 布建狀態,請參閱 https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property |
| Sku |
快取的 SKU。 |
|
Source |
描述來源金鑰保存庫的資源識別碼。 |
|
Storage |
記憶體目標空間配置屬性。 |
|
system |
與建立和上次修改資源相關的元數據。 |
|
User |
字典,其中每個索引鍵都是使用者指派的身分識別資源標識符,而每個索引鍵的值都是空的字典。 |
|
Username |
指出 HPC 快取是否已成功執行使用者名稱下載。 |
|
Username |
此設定會決定快取如何取得用戶端的用戶名稱和組名。 |
Cache
快取實例。 遵循 Azure Resource Manager 標準:https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/resource-api-reference.md
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
快取的資源識別碼。 |
| identity |
如果已設定,則為快取的身分識別。 |
|
| location |
string |
區域名稱字串。 |
| name |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
快取的名稱。 |
| properties.cacheSizeGB |
integer (int32) |
此快取的大小,以 GB 為單位。 |
| properties.directoryServicesSettings |
指定快取的目錄服務設定。 |
|
| properties.encryptionSettings |
指定快取的加密設定。 |
|
| properties.health |
快取的健全狀況。 |
|
| properties.mountAddresses |
string[] |
掛載此快取的用戶端可以使用的 IPv4 位址陣列。 |
| properties.networkSettings |
指定快取的網路設定。 |
|
| properties.primingJobs |
指定快取中定義的啟動工作。 |
|
| properties.provisioningState |
ARM 布建狀態,請參閱 https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property |
|
| properties.securitySettings |
指定快取的安全性設定。 |
|
| properties.spaceAllocation |
指定快取中每個儲存體目標的空間配置百分比。 |
|
| properties.subnet |
string |
用於快取的子網。 |
| properties.upgradeSettings |
快取的升級設定。 |
|
| properties.upgradeStatus |
快取的升級狀態。 |
|
| properties.zones |
string[] |
資源的可用性區域。 此欄位只應包含數位中的單一元素。 |
| sku |
快取的 SKU。 |
|
| systemData |
與此資源相關的系統元數據。 |
|
| tags |
object |
資源標籤。 |
| type |
string |
快取類型;Microsoft.StorageCache/快取 |
CacheActiveDirectorySettings
用來將快取加入網域的Active Directory 設定。
| 名稱 | 類型 | Description |
|---|---|---|
| cacheNetBiosName |
string pattern: ^[-0-9a-zA-Z]{1,15}$ |
將 Active Directory 網域加入為伺服器時,要指派給 HPC Cache 的 NetBIOS 名稱。 長度必須介於類別 [-0-9a-zA-Z] 中的 1-15 個字元。 |
| credentials |
用來將 HPC Cache 加入網域的 Active Directory 系統管理員認證。 |
|
| domainJoined |
如果 HPC 快取已加入 Active Directory 網域,則為 True。 |
|
| domainName |
string |
Active Directory 域控制器的完整功能變數名稱。 |
| domainNetBiosName |
string |
Active Directory 網域的 NetBIOS 名稱。 |
| primaryDnsIpAddress |
string |
用來解析 Active Directory 域控制器完整功能變數名稱的主要 DNS IP 位址。 |
| secondaryDnsIpAddress |
string |
用來解析 Active Directory 域控制器完整功能變數名稱的次要 DNS IP 位址。 |
CacheDirectorySettings
快取目錄服務設定。
| 名稱 | 類型 | Description |
|---|---|---|
| activeDirectory |
指定將 HPC Cache 加入 Active Directory 網域的設定。 |
|
| usernameDownload |
指定擴充群組的設定。 擴充群組可讓用戶成為超過16個群組的成員。 |
CacheEncryptionSettings
快取加密設定。
| 名稱 | 類型 | Description |
|---|---|---|
| keyEncryptionKey |
指定金鑰保存庫中金鑰加密金鑰的位置。 |
|
| rotationToLatestKeyVersionEnabled |
boolean |
指定服務是否會自動輪替至金鑰保存庫中最新版的金鑰。 |
CacheHealth
快取健康情況的指示。 提供健康情況的詳細資訊,不只是與布建相關的資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| conditions |
需要調查和解決的懸而未決的情況。 |
|
| state |
快取健康情況狀態清單。 關閉是指叢集沒有回應。 降級是指它正常運行但有一些警報。 建立或刪除時進行轉換。 在未來的版本中新增新值時,會在舊的 API 版本中傳回未知。 WaitingForKey 是指建立者正在等待系統指派的身分識別在加密設定中獲得加密金鑰的存取權。 |
|
| statusDescription |
string |
描述狀態的解釋。 |
CacheIdentity
快取身分識別屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| principalId |
string |
快取系統指派身分識別的主體識別碼。 |
| tenantId |
string |
與快取相關聯的租用戶識別碼。 |
| type |
用於快取的身分識別類型 |
|
| userAssignedIdentities |
字典,其中每個索引鍵都是使用者指派的身分識別資源標識符,而每個索引鍵的值都是空的字典。 |
CacheIdentityType
用於快取的身分識別類型
| 值 | Description |
|---|---|
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned, UserAssigned | |
| None |
CacheNetworkSettings
快取網路設定。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| dnsSearchDomain |
string |
DNS 搜尋網域 |
|
| dnsServers |
string[] |
快取要使用的 DNS 伺服器。 如果未提供任何值,則會從網路組態進行設定。 |
|
| mtu |
integer (int32) minimum: 576maximum: 1500 |
1500 |
為子網設定的 IPv4 最大傳輸單位。 |
| ntpServer |
string |
time.windows.com |
要用於快取的 NTP 伺服器 IP 位址或 FQDN。 預設值為 time.windows.com。 |
| utilityAddresses |
string[] |
此快取所使用的其他 IP 位址陣列。 |
CacheSecuritySettings
快取安全性設定。
| 名稱 | 類型 | Description |
|---|---|---|
| accessPolicies |
為此快取定義的 NFS 存取原則。 |
CachesListResult
列出快取的要求結果。 其中包含快取清單和 URL 連結,以取得下一組結果。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string |
URL 以取得下一組快取清單結果 (如果有的話)。 |
| value |
Cache[] |
緩存列表。 |
CacheUpgradeSettings
快取升級設定。
| 名稱 | 類型 | Description |
|---|---|---|
| scheduledTime |
string (date-time) |
當 upgradeScheduleEnabled 為 true 時,此欄位會保留使用者選擇的升級時間。 在使用者選擇的時間,韌體更新會自動安裝在快取上。 |
| upgradeScheduleEnabled |
boolean |
True 是表示 如果使用者選擇在現在和 firmwareUpdateDeadline 之間選取安裝時間。 否則,如果在先前未透過升級作業觸發 firmwareUpdateDeadline 之後自動安裝韌體。 |
CacheUpgradeStatus
描述快取軟體升級狀態的屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| currentFirmwareVersion |
string |
目前安裝在此快取上的韌體版本字串。 |
| firmwareUpdateDeadline |
string (date-time) |
擱置的韌體更新會自動安裝在快取上的時間。 |
| firmwareUpdateStatus |
如果有韌體更新準備好安裝在此快取上,則為 True。 如果未透過升級作業稍早觸發,韌體將在 firmwareUpdateDeadline 之後自動安裝。 |
|
| lastFirmwareUpdate |
string (date-time) |
上次成功韌體更新的時間。 |
| pendingFirmwareVersion |
string |
當 firmwareUpdateAvailable 為 true 時,此欄位會保留更新的版本字串。 |
CacheUsernameDownloadSettings
擴充群組用戶名稱和群組下載的設定。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| autoDownloadCertificate |
boolean |
False |
判斷是否應該自動下載憑證。 只有在 'requireValidCertificate' 為 true 時,才適用於 'caCertificateURI'。 |
| caCertificateURI |
string |
用來驗證LDAP安全連線之CA憑證的URI。 當 'requireValidCertificate' 設定為 true 時,必須填入此字段。 |
|
| credentials |
存在時,這些是安全LDAP連線的認證。 |
||
| encryptLdapConnection |
boolean |
False |
是否應該加密LDAP連線。 |
| extendedGroups |
boolean |
是否啟用擴充群組。 |
|
| groupFileURI |
string |
包含群組資訊的檔案 URI(以 /etc/group 檔案格式為單位)。 當 'usernameSource' 設定為 'File' 時,必須填入此欄位。 |
|
| ldapBaseDN |
string |
LDAP 網域的基底辨別名稱。 |
|
| ldapServer |
string |
要使用的LDAP伺服器完整功能變數名稱或IP位址。 |
|
| requireValidCertificate |
boolean |
False |
判斷憑證是否必須由證書頒發機構單位驗證。 若為 true,則必須提供 caCertificateURI。 |
| userFileURI |
string |
包含使用者資訊的檔案 URI(以 /etc/passwd 檔案格式表示)。 當 'usernameSource' 設定為 'File' 時,必須填入此欄位。 |
|
| usernameDownloaded |
指出 HPC 快取是否已成功執行使用者名稱下載。 |
||
| usernameSource | None |
此設定會決定快取如何取得用戶端的用戶名稱和組名。 |
CloudError
錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤的主體。 |
CloudErrorBody
錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。 |
| details |
錯誤的其他詳細數據清單。 |
|
| message |
string |
描述錯誤的訊息,適用於在使用者介面中顯示。 |
| target |
string |
特定錯誤的目標。 例如,錯誤中的屬性名稱。 |
Condition
需要解決的未完成條件。
| 名稱 | 類型 | Description |
|---|---|---|
| message |
string |
需要注意的問題。 |
| timestamp |
string (date-time) |
條件提出的時間。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
Credentials
用來將 HPC Cache 加入網域的 Active Directory 系統管理員認證。
| 名稱 | 類型 | Description |
|---|---|---|
| password |
string |
Active Directory 網域管理員的純文本密碼。 此值會加密儲存,而不會在回應時傳回。 |
| username |
string |
Active Directory 網域管理員的用戶名稱。 此值會加密儲存,而不會在回應時傳回。 |
DomainJoinedType
如果 HPC 快取已加入 Active Directory 網域,則為 True。
| 值 | Description |
|---|---|
| Yes | |
| No | |
| Error |
FirmwareStatusType
如果有韌體更新準備好安裝在此快取上,則為 True。 如果未透過升級作業稍早觸發,韌體將在 firmwareUpdateDeadline 之後自動安裝。
| 值 | Description |
|---|---|
| available | |
| unavailable |
HealthStateType
快取健康情況狀態清單。 關閉是指叢集沒有回應。 降級是指它正常運行但有一些警報。 建立或刪除時進行轉換。 在未來的版本中新增新值時,會在舊的 API 版本中傳回未知。 WaitingForKey 是指建立者正在等待系統指派的身分識別在加密設定中獲得加密金鑰的存取權。
| 值 | Description |
|---|---|
| Unknown | |
| Healthy | |
| Degraded | |
| Down | |
| Transitioning | |
| Stopping | |
| Stopped | |
| Upgrading | |
| Flushing | |
| WaitingForKey | |
| StartFailed | |
| UpgradeFailed |
KeyVaultKeyReference
描述金鑰保存庫金鑰的參考。
| 名稱 | 類型 | Description |
|---|---|---|
| keyUrl |
string |
參考金鑰保存庫中金鑰加密金鑰的 URL。 |
| sourceVault |
描述來源金鑰保存庫的資源識別碼。 |
NfsAccessPolicy
一組規則,描述套用至快取NFSv3 用戶端的存取原則。
| 名稱 | 類型 | Description |
|---|---|---|
| accessRules |
描述此原則所允許之用戶端存取權的規則集。 |
|
| name |
string |
識別此原則的名稱。 存取原則名稱不區分大小寫。 |
NfsAccessRule
規則,將限制呈現給用戶端的快取命名空間部分。
| 名稱 | 類型 | Description |
|---|---|---|
| access |
此規則允許的存取權。 |
|
| anonymousGID |
string |
當 rootSquash 為 true 時,取代 0 的 GID 值。 如果未提供,這會使用 anonymousUID 的值。 |
| anonymousUID |
string |
當 rootSquash 為 true 時,取代 0 的 UID 值。 如果未提供,則會使用 65534。 |
| filter |
string |
套用至此規則範圍的篩選。 篩選的格式取決於其範圍。 'default' 範圍符合所有用戶端,而且沒有篩選值。 'network' 範圍採用 CIDR 格式的篩選條件(例如 10.99.1.0/24)。 'host' 會採用IP位址或完整功能變數名稱作為篩選條件。 如果用戶端不符合任何篩選規則,而且沒有任何默認規則,則會拒絕存取。 |
| rootSquash |
boolean |
將根存取對應至 anonymousUID 和 anonymousGID。 |
| scope |
此規則的範圍。 範圍和篩選會決定哪些用戶端符合規則。 |
|
| submountAccess |
boolean |
針對默認原則,允許存取根匯出下的子目錄。 如果此設定為否,用戶端只能掛接路徑 『/』。 如果設定為 [是],用戶端可以掛接更深入的路徑,例如 '/a/b'。 |
| suid |
boolean |
允許 SUID 語意。 |
NfsAccessRuleAccess
此規則允許的存取權。
| 值 | Description |
|---|---|
| no | |
| ro | |
| rw |
NfsAccessRuleScope
此規則的範圍。 範圍和篩選會決定哪些用戶端符合規則。
| 值 | Description |
|---|---|
| default | |
| network | |
| host |
PrimingJob
預備作業實例。
| 名稱 | 類型 | Description |
|---|---|---|
| primingJobDetails |
string |
工作詳細資料或錯誤資訊 (如果有的話)。 |
| primingJobId |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
啟動工作的唯一識別碼。 |
| primingJobName |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
啟動工作名稱。 |
| primingJobPercentComplete |
number (double) minimum: 0maximum: 100 |
啟動工作的目前進度(以百分比表示)。 |
| primingJobState |
啟動作業的狀態。 |
|
| primingJobStatus |
string |
啟動工作的狀態碼。 |
| primingManifestUrl |
string |
要下載的啟動資訊清單檔案的 URL。 此檔案必須可從 HPC 快取讀取。 當檔案位於 Azure Blob 儲存體中時,URL 應該包含授與 Blob 讀取許可權的共用存取簽章 (SAS)。 |
PrimingJobState
啟動作業的狀態。
| 值 | Description |
|---|---|
| Queued | |
| Running | |
| Paused | |
| Complete |
ProvisioningStateType
ARM 布建狀態,請參閱 https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property
| 值 | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Deleting | |
| Updating |
Sku
快取的 SKU。
| 名稱 | 類型 | Description |
|---|---|---|
| name |
string |
此快取的 SKU 名稱。 |
SourceVault
描述來源金鑰保存庫的資源識別碼。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |
StorageTargetSpaceAllocation
記憶體目標空間配置屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| allocationPercentage |
integer (int32) minimum: 1maximum: 100 |
配置給此儲存體目標的快取空間百分比 |
| name |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
儲存目標的名稱。 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
資源上次修改的時間戳記 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |
UserAssignedIdentities
字典,其中每個索引鍵都是使用者指派的身分識別資源標識符,而每個索引鍵的值都是空的字典。
| 名稱 | 類型 | Description |
|---|---|---|
|
|
UsernameDownloadedType
指出 HPC 快取是否已成功執行使用者名稱下載。
| 值 | Description |
|---|---|
| Yes | |
| No | |
| Error |
UsernameSource
此設定會決定快取如何取得用戶端的用戶名稱和組名。
| 值 | Description |
|---|---|
| AD | |
| LDAP | |
| File | |
| None |